#!/bin/sh
RESPONSE=$(alert "Ready to backup all your old divx codec files.  Files will be zipped and saved in the corresponding directories." "Abort" "Ok")
if [ $RESPONSE == "Abort" ] ; then
  exit 0
fi
# home config decoders
DECODER_PATH=/boot/home/config/add-ons/media/decoders
BACKUP_FILE="HybridDivxBackup-$(date +%Y.%m.%d-%H.%M.%S).zip"
zip -m -j -y $DECODER_PATH/$BACKUP_FILE $DECODER_PATH/[dD]ivx* $DECODER_PATH/ff* $DECODER_PATH/*.dll $DECODER_PATH/*.DLL $DECODER_PATH/*.acm* $DECODER_PATH/mpeg1audio_fh.decoder
# home config encoders
ENCODER_PATH=/boot/home/config/add-ons/media/encoders
BACKUP_FILE="HybridDivxBackup-$(date +%Y.%m.%d-%H.%M.%S).zip"
zip -m -j -y $ENCODER_PATH/$BACKUP_FILE $ENCODER_PATH/divx.encoder
# beos system decoders
DECODER_PATH=/boot/beos/system/add-ons/media/decoders
BACKUP_FILE="HybridDivxBackup-$(date +%Y.%m.%d-%H.%M.%S).zip"
zip -m -j -y $DECODER_PATH/$BACKUP_FILE $DECODER_PATH/[dD]ivx* $DECODER_PATH/ff* $DECODER_PATH/*.dll $DECODER_PATH/*.DLL $DECODER_PATH/*.acm* $DECODER_PATH/mpeg1audio_fh.decoder
# divx libraries
LIB_PATH=/boot/home/config/lib
BACKUP_FILE="HybridDivxBackup-$(date +%Y.%m.%d-%H.%M.%S).zip"
zip -m -j -y $LIB_PATH/$BACKUP_FILE $LIB_PATH/libavcodec.so $LIB_PATH/mpeg1audio_fh.decoder
#
alert "Done compressing your old divx codec files." "Ok"
