#!/bin/sh
RESPONSE=$(alert "Ready to install all the new HybridDivx files.  This will also remove or replace outdated HybridDivx decoders." "Abort" "Ok")
if [ "$RESPONSE" == "Abort" ] ; then
  exit 0
fi
base=`dirname "$0"`
# home config decoders
DECODER_PATH=/boot/home/config/add-ons/media/decoders
SOURCE_PATH=$base/../home-config-decoders
copyattr -d $SOURCE_PATH/divx.mp42.decoder $DECODER_PATH/divx.mp42.decoder
copyattr -d $SOURCE_PATH/divx.mp43.decoder $DECODER_PATH/divx.mp43.decoder
copyattr -d $SOURCE_PATH/divx_audio.decoder $DECODER_PATH/divx_audio.decoder
copyattr -d $SOURCE_PATH/DivXa32.acm $DECODER_PATH/DivXa32.acm
copyattr -d $SOURCE_PATH/DivXc32.dll $DECODER_PATH/DivXc32.dll
copyattr -d $SOURCE_PATH/DivXc32f.dll $DECODER_PATH/DivXc32f.dll
rm -f $DECODER_PATH/ffmpeg4-divx5.decoder
rm -f $DECODER_PATH/ffmpeg4-xvid.decoder
rm -f $DECODER_PATH/ffmpeg4.decoder
rm -f $DECODER_PATH/L3codeca.acm
copyattr -d $SOURCE_PATH/L3codeca.acm.disabled $DECODER_PATH/L3codeca.acm.disabled
copyattr -d $SOURCE_PATH/mp42c32.dll $DECODER_PATH/mp42c32.dll
copyattr -d $SOURCE_PATH/mp43c32.dll $DECODER_PATH/mp43c32.dll
copyattr -d $SOURCE_PATH/mpeg1audio_fh.decoder $DECODER_PATH/mpeg1audio_fh.decoder
copyattr -d $SOURCE_PATH/MPG4DMOD.DLL $DECODER_PATH/MPG4DMOD.DLL
# home config encoders
DECODER_PATH=/boot/home/config/add-ons/media/encoders
SOURCE_PATH=$base/../home-config-encoders
copyattr -d $SOURCE_PATH/divx.encoder $DECODER_PATH/divx.encoder
# beos system decoders
DECODER_PATH=/boot/beos/system/add-ons/media/decoders
SOURCE_PATH=$base/../beos-system-decoders
rm -f $DECODER_PATH/ffmp3.decoder
copyattr -d $SOURCE_PATH/ffdecoder.decoder $DECODER_PATH/ffdecoder.decoder
# home config
LIB_PATH=/boot/home/config/lib
SOURCE_PATH=$base/../home-config-lib
copyattr -d $SOURCE_PATH/libavcodec.so $LIB_PATH/libavcodec.so
copyattr -d $SOURCE_PATH/mpeg1audio_fh.decoder $LIB_PATH/mpeg1audio_fh.decoder
# goodbye!
RESPONSE=$(alert "All HybridDivx files installed.  Please restart your media services.  Please note in rare circumstances you may have to reboot." "Thanks" "Show Media Panel")
if [ "$RESPONSE" == "Show Media Panel" ] ; then
	/boot/preferences/Media
fi

