#!/bin/sh
base=`dirname "$0"`
# home config decoders
DECODER_PATH=/boot/home/config/add-ons/media/decoders
SOURCE_PATH=$base/../home-config-decoders
RESPONSE=$(alert "Ready to uninstall HybridDivx decoders in $DECODER_PATH" "Abort" "Skip" "Ok")
if [ "$RESPONSE" == "Abort" ] ; then
  exit 0
fi
if [ "$RESPONSE" == "Ok" ] ; then
	diff $SOURCE_PATH/divx.mp42.decoder $DECODER_PATH/divx.mp42.decoder
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/divx.mp42.decoder
	fi
	diff $SOURCE_PATH/divx.mp43.decoder $DECODER_PATH/divx.mp43.decoder
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/divx.mp43.decoder
	fi
	diff $SOURCE_PATH/divx_audio.decoder $DECODER_PATH/divx_audio.decoder
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/divx_audio.decoder
	fi
	diff $SOURCE_PATH/DivXa32.acm $DECODER_PATH/DivXa32.acm
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/DivXa32.acm
	fi
	diff $SOURCE_PATH/DivXc32.dll $DECODER_PATH/DivXc32.dll
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/DivXc32.dll
	fi
	diff $SOURCE_PATH/DivXc32f.dll $DECODER_PATH/DivXc32f.dll
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/DivXc32f.dll
	fi
	diff $SOURCE_PATH/L3codeca.acm.disabled $DECODER_PATH/L3codeca.acm
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/L3codeca.acm
	fi
	diff $SOURCE_PATH/L3codeca.acm.disabled $DECODER_PATH/L3codeca.acm.disabled
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/L3codeca.acm.disabled
	fi
	diff $SOURCE_PATH/mp42c32.dll $DECODER_PATH/mp42c32.dll
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/mp42c32.dll
	fi
	diff $SOURCE_PATH/mp43c32.dll $DECODER_PATH/mp43c32.dll
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/mp43c32.dll
	fi
	diff $SOURCE_PATH/MPG4DMOD.DLL $DECODER_PATH/MPG4DMOD.DLL
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/MPG4DMOD.DLL
	fi
	RESPONSE=$(alert "Are you sure you want to uninstall the mpeg1 decoder from $DECODER_PATH?  This may break your mp3 playing." "Skip" "Ok")
	if [ "$RESPONSE" == "Ok" ] ; then
		diff $SOURCE_PATH/mpeg1audio_fh.decoder $DECODER_PATH/mpeg1audio_fh.decoder
		if [ $? -eq 0 ] ; then
			rm $DECODER_PATH/mpeg1audio_fh.decoder
		fi
	fi
fi
# home config decoders
ENCODER_PATH=/boot/home/config/add-ons/media/encoders
SOURCE_PATH=$base/../home-config-encoders
RESPONSE=$(alert "Done uninstalling divx.encoder from $DECODER_PATH.  Ready to uninstall HybridDivx encoder in $ENCODER_PATH" "Abort" "Skip" "Ok")
if [ "$RESPONSE" == "Abort" ] ; then
  exit 0
fi
if [ "$RESPONSE" == "Ok" ] ; then
	diff $SOURCE_PATH/divx.encoder $ENCODER_PATH/divx.encoder
	if [ $? -eq 0 ] ; then
		rm $ENCODER_PATH/divx.encoder
	fi
fi
# beos system decoders
DECODER_PATH=/boot/beos/system/add-ons/media/decoders
SOURCE_PATH=$base/../beos-system-decoders
RESPONSE=$(alert "Done uninstalling divx.encoder from $ENCODER_PATH.  Ready to uninstall ffdecoder.decoder in $DECODER_PATH" "Abort" "Skip" "Ok")
if [ "$RESPONSE" == "Abort" ] ; then
  exit 0
fi
if [ "$RESPONSE" == "Ok" ] ; then
	diff $SOURCE_PATH/ffdecoder.decoder $DECODER_PATH/ffdecoder.decoder
	if [ $? -eq 0 ] ; then
		rm $DECODER_PATH/ffdecoder.decoder
	fi
fi
# libs
LIB_PATH=/boot/home/config/lib
SOURCE_PATH=$base/../home-config-lib
RESPONSE=$(alert "Done uninstalling ffdecoder.decoder from $DECODER_PATH.  Ready to uninstall libavcodec.so in $LIB_PATH" "Abort" "Skip" "Ok")
if [ "$RESPONSE" == "Abort" ] ; then
  exit 0
fi
if [ "$RESPONSE" == "Ok" ] ; then
	diff $SOURCE_PATH/libavcodec.so $LIB_PATH/libavcodec.so
	if [ $? -eq 0 ] ; then
		rm $LIB_PATH/libavcodec.so
	fi
fi
RESPONSE=$(alert "Are you sure you want to uninstall the mpeg1 decoder from $LIB_PATH?  This may break your Flash player." "Skip" "Ok")
if [ "$RESPONSE" == "Ok" ] ; then
	diff $SOURCE_PATH/mpeg1audio_fh.decoder $LIB_PATH/mpeg1audio_fh.decoder
	if [ $? -eq 0 ] ; then
		rm $LIB_PATH/mpeg1audio_fh.decoder
	fi
fi
alert "Done uninstalling HybridDivx files." "Ok"
